#!/usr/bin/python
# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time

rot    = 0
gelb   = 1
gruen  = 2
f_rot  = 3
f_gru  = 4
taste  = 5
Ampel=[18,23,24,25,12,20]

GPIO.setmode(GPIO.BCM)
GPIO.setup(Ampel[rot], GPIO.OUT, initial=0)
GPIO.setup(Ampel[gelb], GPIO.OUT, initial=0)
GPIO.setup(Ampel[gruen], GPIO.OUT, initial=1)
GPIO.setup(Ampel[f_rot], GPIO.OUT, initial=1)
GPIO.setup(Ampel[f_gru], GPIO.OUT, initial=0)
GPIO.setup(Ampel[taste], GPIO.IN, GPIO.PUD_DOWN)

print ("Taste drücken, um Fußgängerampel einzuschalten, Strg+C beendet das Programm")

try:
  while True:
    if GPIO.input(Ampel[taste])==1:
      GPIO.output(Ampel[gruen],0)
      GPIO.output(Ampel[gelb],1)
      time.sleep(0.6)
      GPIO.output(Ampel[gelb],0)
      GPIO.output(Ampel[rot],1)
      time.sleep(0.6)
      GPIO.output(Ampel[f_rot],0)
      GPIO.output(Ampel[f_gru],1)
      time.sleep(2)
      GPIO.output(Ampel[f_gru],0)
      GPIO.output(Ampel[f_rot],1)
      time.sleep(0.6)
      GPIO.output(Ampel[gelb],1)
      time.sleep(0.6)
      GPIO.output(Ampel[rot],0)
      GPIO.output(Ampel[gelb],0)
      GPIO.output(Ampel[gruen],1)
      time.sleep(2)
except KeyboardInterrupt:
  GPIO.cleanup()
